Package org.apache.naming

## Class AbstractRef

- java.lang.Object
- - javax.naming.Reference
  - - org.apache.naming.AbstractRef

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Cloneable`

Direct Known Subclasses:
  `EjbRef`, `HandlerRef`, `LookupRef`, `ResourceEnvRef`, `ResourceLinkRef`, `ResourceRef`, `ServiceRef`, `TransactionRef`

    public abstract class AbstractRef
    extends javax.naming.Reference

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class javax.naming.Reference

`addrs, classFactory, classFactoryLocation, className`

### Constructor Summary

Constructors
`AbstractRef​(java.lang.String className)`
`AbstractRef​(java.lang.String className, java.lang.String factory, java.lang.String factoryLocation)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract java.lang.String` `getDefaultFactoryClassName()`
`java.lang.String` `getFactoryClassName()` Retrieves the class name of the factory of the object to which this reference refers.
`java.lang.String` `toString()` Return a String rendering of this object.

### Methods inherited from class javax.naming.Reference

`add, add, clear, clone, equals, get, get, getAll, getClassName, getFactoryClassLocation, hashCode, remove, size`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AbstractRef

    public AbstractRef​(java.lang.String className)

#### AbstractRef

    public AbstractRef​(java.lang.String className,
                       java.lang.String factory,
                       java.lang.String factoryLocation)

### Method Detail

#### getFactoryClassName

    public final java.lang.String getFactoryClassName()

Retrieves the class name of the factory of the object to which this reference refers.

Overrides:
  `getFactoryClassName` in class `javax.naming.Reference`

#### getDefaultFactoryClassName

    protected abstract java.lang.String getDefaultFactoryClassName()

#### toString

    public final java.lang.String toString()

Return a String rendering of this object.

Overrides:
  `toString` in class `javax.naming.Reference`